JTS Topology Suite version 1.13

## com.vividsolutions.jts.operation.valid
Class SweeplineNestedRingTester

    java.lang.Object
      com.vividsolutions.jts.operation.valid.SweeplineNestedRingTester

    public class SweeplineNestedRingTester

extends java.lang.Object

Tests whether any of a set of `LinearRing`s are nested inside another ring in the set, using a `SweepLineIndex` index to speed up the comparisons.

Version:
  1.7

Constructor Summary
`SweeplineNestedRingTester(GeometryGraph graph)`

Method Summary
`void` `add(LinearRing ring)`
`Coordinate` `getNestedPoint()`
`boolean` `isNonNested()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SweeplineNestedRingTester

    public SweeplineNestedRingTester(GeometryGraph graph)

Method Detail

### getNestedPoint

    public Coordinate getNestedPoint()

### add

    public void add(LinearRing ring)

### isNonNested

    public boolean isNonNested()

JTS Topology Suite version 1.13